#pragma once
#include "Core\filter.h"

// A practical example filter. This device is actually part of the WM device set.
// This is NOT a thorough example; it is more like the minimal required to create a WM plugin
class Inverter :
	public Filter
{
public:
	Inverter(void);
	virtual ~Inverter(void);
	virtual bool Load(std::istream &in, LoadContext &context);
	virtual bool Save(std::ostream &out, SaveContext &context);

	virtual char *GetDescription() { return "Inverts the heights of a terrain";};
	virtual char *GetTypeName() { return "Inverter"; };

	virtual bool Activate(BuildContext &context);

// Unless you need some special UI elements, I highly recommend _NOT_ overriding RunUI(), and letting your parameters be set by way
// of the generic dialog manager... this is also much easier and faster to develop.
//	virtual bool RunUI();
};
